Bug 219023 - hda-intel audio isn't load when usb-devices are plugged in
hda-intel audio isn't load when usb-devices are plugged in
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
Blocks: 427887
  Show dependency treegraph
Reported: 2006-12-09 08:50 EST by Martin
Modified: 2008-02-07 23:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-07 23:27:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Martin 2006-12-09 08:50:11 EST
Description of problem:
hda-intel audio isn't load when usb-devices are plugged in

Version-Release number of selected component (if applicable):

How reproducible:
plug in a usb headset (Plantronics) and a usb webcam (philips)
into the 4-port usb hub of a Asus P5WDG2 Motherboard.
When both usb devices are plugged in then the hda-intel and the RME Digi96
sound modul isn't loaded at startup.

Expected results:
all kernel moduls for sound and usb are loaded correct.

Additional info:
BIOS of the ASUS P5WDG2 is 0408


alias snd-card-0 snd-hda-intel
options snd-card-0 index=0
options snd-hda-intel index=0
options snd-hda-intel position_fix=1
remove snd-hda-intel { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-hda-intel
alias snd-card-1 snd-rme96
options snd-card-1 index=1
options snd-rme96 index=1
options snd-hda-intel position_fix=2
remove snd-rme96 { /usr/sbin/alsactl store 1 >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-rme96
alias usb-controller ehci-hcd
alias usb-controller1 uhci-hcd
options pwc leds=0 compression=3 power_save=1 fps=15 size=vga
alias snd-card-4 pwc
remove pwc { /usr/sbin/alsactl store 4 >/dev/null 2>&1 || : ; }; /sbin/modprobe
-r --ignore-remove pwc

kernel       |         | PCI Sound | Plantronics | Philips |
boot         | system  | Cards     | Headset     | Webcam  |
parameter    | booting | working   | working     | working |
noapic       |  yes    |   no      |    yes      |  yes    |
pci=routeirq |  yes    |   no      |    yes      |  yes    |
pci=noacpi   |  no     |           |             |         |
acpi=off     |  no     |           |             |         |

BIOS Settings
Legacy Diskette A       disabled
Marvell SATA controller disabled
Onboard 1394 controller disabled
Serial Port1 Adress     disabled
Parallel Port Address   disabled
Plug and Play OS        No
Comment 1 Espen Stefansen 2007-09-15 11:48:04 EDT
This sounds like something similar to my problem; #242244.
Comment 2 Jon Stanley 2008-01-07 20:49:35 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)


I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.


I am CC'ing myself to this bug, however this version of Fedora is no longer

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 3 Jon Stanley 2008-02-07 23:27:36 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.